MPD: NeonFloatTo16 Struct Reference

MPD 0.20.18

Public Types | Public Member Functions | Static Public Attributes
NeonFloatTo16 Struct Reference

Convert floating point samples to 16 bit signed integer using ARM NEON. More...

`#include <Neon.hxx>`

## Public Types
typedef SampleTraits< src_format > | SrcTraits
typedef SampleTraits< dst_format > | DstTraits
typedef SrcTraits::value_type | SV
typedef DstTraits::value_type | DV

## Public Member Functions
void | Convert (int16_t *dst, const float *src, const size_t n) const

## Static Public Attributes
static constexpr SampleFormat | src_format = SampleFormat::FLOAT
static constexpr SampleFormat | dst_format = SampleFormat::S16
static constexpr size_t | BLOCK_SIZE = 16

## Detailed Description

Convert floating point samples to 16 bit signed integer using ARM NEON.

Definition at line 58 of file Neon.hxx.

## Member Typedef Documentation

## ◆ DstTraits

typedef SampleTraits<dst_format> NeonFloatTo16::DstTraits

Definition at line 62 of file Neon.hxx.

## ◆ DV

typedef DstTraits::value_type NeonFloatTo16::DV

Definition at line 65 of file Neon.hxx.

## ◆ SrcTraits

typedef SampleTraits<src_format> NeonFloatTo16::SrcTraits

Definition at line 61 of file Neon.hxx.

## ◆ SV

typedef SrcTraits::value_type NeonFloatTo16::SV

Definition at line 64 of file Neon.hxx.

## Member Function Documentation

## ◆ Convert()

void NeonFloatTo16::Convert | ( | int16_t * | dst,
|  | const float * | src,
|  | const size_t | n
| ) |  | const
| inline

Definition at line 69 of file Neon.hxx.

## Field Documentation

## ◆ BLOCK_SIZE

constexpr size_t NeonFloatTo16::BLOCK_SIZE = 16
| static

Definition at line 67 of file Neon.hxx.

## ◆ dst_format

constexpr SampleFormat NeonFloatTo16::dst_format = SampleFormat::S16
| static

Definition at line 60 of file Neon.hxx.

## ◆ src_format

constexpr SampleFormat NeonFloatTo16::src_format = SampleFormat::FLOAT
| static

Definition at line 59 of file Neon.hxx.

The documentation for this struct was generated from the following file:

- pcm/Neon.hxx